from django.urls import path

from chat_app.views import Calltoken, ChatListView, ChatRoomAPIView, ChatRoomListAPIView, ClearConversationAPI, CreateGroupAPI, DeleteGroupConversationAPI, DeleteGroupMessageAPI, DeleteMessageAPI, GetPersonalChatsAPI, GroupMembersListView, GroupMessagesView, MarkMessagesAsRead, MessageSendAPI, RemoveGroupMemberView, ReportGroupView, SendGroupMessageAPI, UserActiveStatusView, PushNotificationAPIView


urlpatterns = [
    path('chat/send/', MessageSendAPI.as_view(), name='message_send'),
    path('chat/create-group/', CreateGroupAPI.as_view(), name='create-group'),
    path('chat/personal-chats/<int:other_user_id>/', GetPersonalChatsAPI.as_view(), name='get-personal-chats'),
    path('chat/delete-personal-chats/<int:message_id>/', DeleteMessageAPI.as_view(), name='delete-personal-chat'),
    path('chat/send-group-message/', SendGroupMessageAPI.as_view(), name='send-group-message'),
    path('chat/mark-messages-as-read/', MarkMessagesAsRead.as_view(), name='mark-messages-as-read'),
    path('user/get_status/', UserActiveStatusView.as_view(), name='user-active-status'),
    path('user/status_update/', UserActiveStatusView.as_view(), name='user-active-status-update'),
    path('chat/reterive_personal_chats/', ChatListView.as_view(), name='reterive_personal_chats'),
    path('create_chatroom/', ChatRoomAPIView.as_view(), name='create_chatroom'),
    path('call_chatroom_token/', Calltoken.as_view(), name='call_chatroom_token'),
    path('all_conversations/', ChatRoomListAPIView.as_view(), name='conversation_list'),
    path('clear_conversation/<int:other_user_id>/', ClearConversationAPI.as_view(), name='delete_conversation'),
    path('group/<int:group_id>/messages/', GroupMessagesView.as_view(), name='group-messages'),
    path('group-members/<int:group_id>/', GroupMembersListView.as_view(), name='group_members'),
    path('group/<int:group_id>/remove-member/<int:user_id>/', RemoveGroupMemberView.as_view(), name='remove_group_member'),
    path("report-group/<int:group_id>/", ReportGroupView.as_view(), name="report-group"),
    path('delete-message/<int:message_id>/', DeleteGroupMessageAPI.as_view(), name='delete_group_message'),
    path('delete-conversation/<int:group_id>/', DeleteGroupConversationAPI.as_view(), name='delete_group_conversation'),
  	path('push_notification/', PushNotificationAPIView.as_view(), name='push_notification'),
]